> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rushed.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Topic

> Add a topic to user preferences

## Headers

<ParamField header="X-API-Key" type="string" required>Your Rushed API key: `rsh_live_xxxxxxxxxxxx`</ParamField>

## Request Body

<ParamField body="topic" type="string" required>
  Topic code: `M&A`, `IPO`, `RES`, `DIV`, `REG`, `POL`, `MAC`, `ESG`, `INO`, `CRI`, `EXE`, `TRB`, `INT`, `JUR`, `EXP`, `PAR`, `DEB`, `TRF`, `CPT`, `INF`, `CLI`, `SEG`, `SAP`, `ELE`, `TRI`, `CIB`, `EDI`
</ParamField>

<ParamField body="weight" type="number">Weight (0–5, default 1.0)</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://worker.rushed.com.br/api/users/preferences/topics \
    -H "X-API-Key: rsh_live_xxxxxxxxxxxx" \
    -H "Content-Type: application/json" \
    -d '{"topic": "M&A", "weight": 2.5}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 — Success theme={null}
  { "success": true, "data": { "topics": ["M&A", "IPO"], "topicWeights": { "M&A": 2.5 } } }
  ```
</ResponseExample>
